/// <references types="houdini-svelte">

/** @type {import('houdini').ConfigFile} */
const config = {
	watchSchema: {
		url: process.env.GRAPH_HOST,
		headers: {
			Authentication() {
				const token = localStorage.getItem('AUTH_TOKEN') ?? '';
				return `Bearer ${token}`;
			}
		}
	},
	plugins: {
		'houdini-svelte': {
			projectDir: './web',
			client: './web/lib/gqlClient',
			include: './web/**/*.{svelte,graphql,gql,ts,js}'
		}
	}
};

export default config;
